jnr.unixsocket

## Class UnixServerSocket

- java.lang.Object
- - jnr.unixsocket.UnixServerSocket

-     public class UnixServerSocket
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnixServerSocket()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnixSocket` | `accept()`
    `void` | `bind(SocketAddress endpoint)`
    `void` | `bind(SocketAddress endpoint, int backlog)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnixServerSocket

          public UnixServerSocket()
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### accept

          public UnixSocket accept()
                            throws IOException

      Throws:
        `IOException`

    - #### bind

          public void bind(SocketAddress endpoint)
                    throws IOException

      Throws:
        `IOException`

    - #### bind

          public void bind(SocketAddress endpoint,
                           int backlog)
                    throws IOException

      Throws:
        `IOException`

Copyright © 2014. All rights reserved.